<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Type Creation</TITLE>
<link href="builder_7.html" rel=Next>
<link href="builder_5.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_5.html">previous</A>, <A HREF="builder_7.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC13" HREF="builder_toc.html#TOC13">Type Creation</A></H2>
<P>
<A NAME="IDX14"></A>
<A NAME="IDX15"></A>
The input to the builder type system is a C-like'type definition string.
The builder parses this string and creates the SUIF type structure.
For example, the following will create a SUIF type structure for a
character string.

<PRE>
      type_node * tn = block::parse_type("char *");
</PRE>

<P>
<A NAME="IDX16"></A>
<A NAME="IDX17"></A>

</P>
<P>
Since SUIF types are associated with symbol tables, the
type structure created by the builder can be optionally installed in any
symbol table as shown below. The default is the procedure symbol table. 

<PRE>
      base_symtab * symtab;
      type_node * tn = block::parse_type(symtab, "char *");
</PRE>

<P>
<A NAME="IDX18"></A>
<A NAME="IDX19"></A>
<A NAME="IDX20"></A>

</P>
<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_5.html">previous</A>, <A HREF="builder_7.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
